ARG BASE_IMAGE=ruby:slim
FROM ${BASE_IMAGE}
ARG purpose
ARG pg
WORKDIR /usr/src/app
ENV RACK_ENV production
ENV LANG=C.UTF-8
RUN apt-get update && apt-get -y upgrade && apt-get install -y tzdata

RUN if [ "$purpose" = "builder" ]; then echo SETUP BUILDER && apt-get install -y curl ruby-dev build-essential git ; else echo $purpose; fi
RUN if [ "$pg" = true ] ; then echo SETUP POSTGRES && apt-get install -y build-essential libpq-dev ; fi
RUN gem update -N bundler && \
    bundle config --global frozen 1 && \
    bundle config set path 'vendor' && \
    bundle config set without 'development test'
